Package org.gradle.api.artifacts

# Interface ProjectDependency

All Superinterfaces:
  `Dependency`, `HasAttributes`, `HasConfigurableAttributes<ModuleDependency>`, `ModuleDependency`

public interface ProjectDependency extends ModuleDependency

A `ProjectDependency` is a `Dependency` on another project in the current project hierarchy.

- ## Field Summary

  ### Fields inherited from interface org.gradle.api.artifacts.Dependency

  `ARCHIVES_CONFIGURATION, CLASSIFIER, DEFAULT_CONFIGURATION`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProjectDependency`
  `copy()`
  Creates and returns a new dependency with the property values of this one.
  `String`
  `getPath()`
  Get the path to the project that this dependency refers to relative to its owning build.

  ### Methods inherited from interface org.gradle.api.artifacts.Dependency

  `because, getGroup, getName, getReason, getVersion`

  ### Methods inherited from interface org.gradle.api.artifacts.ModuleDependency

  `addArtifact, artifact, artifact, attributes, capabilities, doNotEndorseStrictVersions, endorseStrictVersions, exclude, getArtifacts, getAttributes, getCapabilitySelectors, getExcludeRules, getRequestedCapabilities, getTargetConfiguration, isEndorsingStrictVersions, isTransitive, setTargetConfiguration, setTransitive`

- ## Method Details

  - ### getPath

    String getPath()
    Get the path to the project that this dependency refers to relative to its owning build.
    Since:
      8.11
    See Also:
      - `Project.getPath()`

  - ### copy

    ProjectDependency copy()
    Creates and returns a new dependency with the property values of this one.
    Specified by:
      `copy` in interface `Dependency`
    Specified by:
      `copy` in interface `ModuleDependency`
    Returns:
      The copy. Never returns null.